Glusterfs server and client different versions

Hello everyone,

hoping you are well, I hope you can help me with a problem for which I have not found documentation.

I have 3 hosts, 1 server with glusterfs 3.3.1 and 2 clients with glusterfs 6.10 and it is impossible for me to lift the mount on the client hosts. I rule out all kinds of problems since the server is operating and there are already other clients on the network with glusterfs 3.3.1 that lift the mount normally.

My question is, is the version of glusterfs compatible between 3.3.1 and 6.10? and is there a solution for this problem?

I inform that these servers are productive for which a change of version is impossible. I also have connectivity between the host to port 24007.

Welcome to ask.:fedora: @jgonzalez06

Please read #start-here when you not had time yet.

We would like to know more about the Server/Client configuration.

Please execute the command inxi -S on each system and paste the output as preformated </> text here.

Do you get any error? It could be useful.
Probably yes, it is likely that there are compatibility issues.